For the complete documentation index, see llms.txt. This page is also available as Markdown.

Allowance

get

Gets the amount of shares that an owner has allowed a spender to use.

Authorizations
AuthorizationstringRequired
Path parameters
accountstringRequired
  • The account making the request
Query parameters
chainIdstringRequired
  • The blockchain network ID
addressstringRequired
  • The ERC4626 vault contract address
ownerstringRequired
  • The address of the owner
spenderstringRequired
  • The address of the spender
Header parameters
AuthorizationstringRequired
  • The authorization token
Responses
200

The API response

application/json

Interface representing the structure of the API response for ERC4626.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

Provides a message related to the API response.

dataanyOptional

Optional data returned by the API.

get/erc4626/{account}/allowance
200

The API response